package com.yd.dal.service.tencent;

import com.yd.dal.entity.tencent.TenInterfRecord;

import java.util.List;

public interface TenInterfRecordDALService {
    void saveTenInterfRecord(TenInterfRecord tencentInterfRecord);

    List<TenInterfRecord> findByTenInterfRecordOrderBy(TenInterfRecord tencentInterfRecord, String orderBy);

    List<TenInterfRecord> findByAppIdAndGrantType(String appId, String grantType);

    List<TenInterfRecord> findByAccessTokenAndIType(String accessToken, String pType);
}
